Get connector by ID

Retrieve a specific connector by its ID with status information

GET
/api/v1/connectors/{connector_id}

Path Parameters

connector_id*string

Unique Connector ID

Response Body

application/json

curl -X GET "https://loading/api/v1/connectors/string"
{
  "connector": {
    "id": "string",
    "source": {
      "postgres": {
        "connection": {
          "host": "example.com",
          "port": 5432,
          "user": "string",
          "password": "pa$$word",
          "database": "string",
          "ssl_mode": "Prefer",
          "ssl_cert": "string",
          "ssl_key": "string",
          "ssl_root_cert": "string",
          "max_pool_size": 0,
          "operation_lock_timeout_seconds": 0
        },
        "replication_type": {
          "logical_replication": {
            "retry_window_seconds": 0,
            "skip_snapshots": false
          }
        },
        "parallel_snapshots_enabled": true,
        "partitions_as_root": false,
        "catalog": {}
      }
    },
    "sink": {
      "postgres": {
        "connection": {
          "host": "example.com",
          "port": 5432,
          "user": "string",
          "password": "pa$$word",
          "database": "string",
          "ssl_mode": "Prefer",
          "ssl_cert": "string",
          "ssl_key": "string",
          "ssl_root_cert": "string",
          "max_pool_size": 0,
          "operation_lock_timeout_seconds": 0
        },
        "target_schema": "string",
        "migration_strategy": {}
      }
    },
    "buffer": {},
    "limits": {},
    "disabled": false,
    "schedule": {},
    "name": "string"
  },
  "status": {},
  "run_id": "string",
  "created_at": "string"
}
Empty
Empty